Bug 1416096 (CVE-2017-5547) - CVE-2017-5547 kernel: DMA buffers on stack
Summary: CVE-2017-5547 kernel: DMA buffers on stack
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-5547
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170113,reported=2...
Depends On: 1416128 1420411
Blocks: 1416135
TreeView+ depends on / blocked
 
Reported: 2017-01-24 15:15 UTC by Adam Mariš
Modified: 2019-06-08 21:44 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
drivers/hid/hid-corsair.c in the Linux kernel 4.9.x before 4.9.6 interacts incorrectly with the CONFIG_VMAP_STACK option which allows local users to cause a denial of service (system crash or memory corruption) or possibly have unspecified other impact by leveraging use of more than one virtual page for a DMA scatterlist.
Clone Of:
Environment:
Last Closed: 2017-02-08 15:29:18 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-01-24 15:15:17 UTC
A possible DoS issue in HID corsair was found.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6d104af38b570d37aa32a5803b04c354f8ed513d

CVE assignment:

http://seclists.org/oss-sec/2017/q1/161

Comment 1 Adam Mariš 2017-01-24 16:29:07 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1416128]

Comment 4 Vladis Dronov 2017-02-08 15:24:26 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2 as the code with the flaw is not present in the products listed.


Note You need to log in before you can comment on or make changes to this bug.